Secure Share - Share Links API Reference
Beta
Base URL
share.<csp>.<region>.pangea.cloudcurl -sSLX POST 'https://share.aws.us.pangea.cloud/v1beta/share/link/create' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
v-1-beta-share-link-create
The link/create API takes an array of secure links objects and returns the result.share_link_object[] array containing a unique secured share link (result.share_link_objects[].link) for each of the elements in the links[].authenticators[] array .
links.targets[] is an array of object IDs for the file and/or folder objects that the link secures access to.
The links.link_type gives the type of link: download, upload, or editor. An upload type can only apply to a folder. Download and editor can apply to folders or files. Editor gives rename, delete, upload (put), and download (get) access to the objects listed in the links.targets[] array.
links[].expires_at gives the date and time that the secure link expires, and links[].max_access_count gives the maximum times a user can be authenticated to access a secure share link.
links[].authenticators[] is an array of authenticators objects, each of which contains an auth_type and an auth_context member. The links[].authenticators[].auth_type can be sms_otp, email_otp, or password, and the corresponding links[].authenticators[].auth_context must be the phone number (sms_otp), email address (email_otp), or password (password) to be used for securing the requested secure share link, which is returned in result.share_link_objects[].link.
links[].title and links[].message are optional parameters that can specify a title string and a message string to be used in notification emails and seen by the recipient when accessing shared content.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1beta/share/link/get' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1beta/share/link/list' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
v-1-beta-share-link-list
Return a list of existing secure share-links based on the given filter.
Use the order parameter to specify “asc” for ascending, or “desc” for descending order of the results.
Use the order_by parameter to specify which field the order parameter refers to.
Use the size parameter to indicate the maximum number of results to include per call (for pagination of the results).
When paginating results, use the value of result.last from the response to the previous call as the value for the input parameter last.
`result.count' from the response gives the total number of items matching the filter.
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1beta/share/link/delete' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
curl -sSLX POST 'https://share.aws.us.pangea.cloud/v1beta/share/link/send' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
v-1-beta-share-link-send
Send a secure share-link notification to a set of email addresses.
The notification email will contain an Open button that the recipient can use to follow the secured share-link to authenticate and then access the shared content.
Status Codes
Was this article helpful?